# -*-makefile-*-
#
# Copyright (C) 2017 by <>AV
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_ALPHA_EX1) += alpha_ex1

#
# Paths and names
#
ALPHA_EX1_VERSION	:= 1
ALPHA_EX1_MD5		:=
ALPHA_EX1		:= alpha_ex1-$(ALPHA_EX1_VERSION)
ALPHA_EX1_URL		:= file://local_src/alpha_ex1
ALPHA_EX1_DIR		:= $(BUILDDIR)/$(ALPHA_EX1)
ALPHA_EX1_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/alpha_ex1.extract:
#	@$(call targetinfo)
#	@$(call clean, $(ALPHA_EX1_DIR))
#	@$(call extract, ALPHA_EX1)
#	@$(call patchin, ALPHA_EX1)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#ALPHA_EX1_PATH	:= PATH=$(CROSS_PATH)
ALPHA_EX1_CONF_TOOL	:= NO
ALPHA_EX1_MAKE_ENV	:= $(CROSS_ENV) \
CFLAGS="-I$(KERNEL_HEADERS_INCLUDE_DIR)"

#$(STATEDIR)/alpha_ex1.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, ALPHA_EX1)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/alpha_ex1.compile:
#	@$(call targetinfo)
#	@$(call world/compile, ALPHA_EX1)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/alpha_ex1.install:
#	@$(call targetinfo)
#	@$(call world/install, ALPHA_EX1)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/alpha_ex1.targetinstall:
	@$(call targetinfo)

	@$(call install_init, alpha_ex1)
	@$(call install_fixup, alpha_ex1,PRIORITY,optional)
	@$(call install_fixup, alpha_ex1,SECTION,base)
	@$(call install_fixup, alpha_ex1,AUTHOR,"<>AV")
	@$(call install_fixup, alpha_ex1,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, alpha_ex1, 0, 0, 0755, $(ALPHA_EX1_DIR)/alpha_ex1, /usr/bin/alpha_ex1)

	@$(call install_finish, alpha_ex1)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/alpha_ex1.clean:
	@$(call targetinfo)
	@-cd $(ALPHA_EX1_DIR) && \
		$(ALPHA_EX1_ENV) $(ALPHA_EX1_PATH) $(MAKE) clean
	@$(call clean_pkg, ALPHA_EX1)

# vim: syntax=make
